/*
** Copyright (C) 1999 Christian Werner
**
** This program and library is free software; you can redistribute it and/or
** modify it under the terms of the GNU (Library) General Public License
** as published by the Free Software Foundation; either version 2
** of the License, or any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
** GNU (Library) General Public License for more details.
**
** You should have received a copy of the GNU (Library) General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

package swishej;

import java.util.*;

/**
 * Class to remember meta information from index file.
 */

class MetaHash extends Hashtable {
    /**
     * Add an entry to the meta information table.
     * @param s meta word as string
     * @param num number for meta word.
     */
    void addmeta(String s, int num) {
        put(s, new Integer(num));
    }

    /**
     * Return number corresponding to meta word.
     * @param s meta word as string
     * @return number of corresponding meta word or 1 if word not found.
     */
    int getmeta(String s) {
        Integer r = (Integer) get(s);
	if (r == null) {
	    return 1;
	}
	return r.intValue();
    }
}
